<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$art_art_id=$_POST['art_art_id'];
$pen_id=$_POST['pen_id'];
$art_id=$_POST['art_id'];
$cantidad=$_POST['peso'];

$can=mysqli_query($con, "SELECT * from articulos WHERE art_id='$art_id' and empresa='$empresa' ");
$row= mysqli_fetch_array($can);
$art_referencia=$row['art_referencia'];
$nombre=$row['art_nombre'];
$vent_tipo=$row['art_tipo'];
if ($row['art_iva']>0){$art_iva=$row['art_iva'];} else { $art_iva='0';}

$can3=mysqli_query($con, "SELECT * from cliente c,pedido cc where c.clie_id=cc.clie_id and cc.usuario='$usu_id' and cc.empresa='$empresa'");
if ($row3= mysqli_fetch_array($can3))
{
    $tarifas_tar_id=$row3['tarifas_tar_id'];
}
else 
{
    $can4=mysqli_query($con,"SELECT * FROM cliente where clie_nombre='CLIENTE MOSTRADOR'") or die(mysqli_error($con)); 
    $row4=mysqli_fetch_array($can4);
    $tarifas_tar_id=$row4['tarifas_tar_id'];
}

$can5=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$art_id' and tarifas_tar_id='$tarifas_tar_id' and empresa='$empresa' ");
$row5= mysqli_fetch_array($can5);
$numrows = $row5['pre_id'];
if ($numrows>0)
{
    $pre_precio=$row5['pre_precio'];
}
else
{
    $pre_precio=$row['art_pvp'];
}

$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_art_id'");
$atri1 = mysqli_fetch_array($atri1);
$atributo1=$atri1['atributo1'];

$atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
$atri11 = mysqli_fetch_array($atri11);
if (isset($atri11['atri_nombre'])) { $atri_nombre=$atri11['atri_nombre']; } else { $atri_nombre='';}

$atributo2=$atri1['atributo2'];
$atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
$atri2 = mysqli_fetch_array($atri2);
if (isset($atri2['atri_nombre2'])) { $atri_nombre2=$atri2['atri_nombre2']; } else { $atri_nombre2='';}

$atri='('.$atri_nombre.' - '.$atri_nombre2.')';
$atributos = str_replace ( "( - )", '', $atri);



$sqll=mysqli_query($con,"SELECT * FROM pedido_detalle WHERE art_id_bod='$art_art_id' and pend_art_id='$art_id' and pedido_pen_id='$pen_id' and pend_estado='facturado'");
if($roww=mysqli_fetch_array($sqll))
{ 
    $can7=mysqli_query($con,"SELECT * FROM pedido_detalle WHERE art_id_bod='$art_art_id' and pend_art_id='$art_id' and pedido_pen_id='$pen_id' and pend_estado='facturado'") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    $cantidad_existente=$dato['pend_cantidad'];
    $suma=$cantidad_existente+$cantidad;

    $registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma' 
        Where art_id_bod='$art_art_id' and pend_art_id='$art_id' and pedido_pen_id='$pen_id' and pend_estado='facturado' ") or die(mysqli_error($con));
}
else
{   
   $insert_tmp=mysqli_query($con, "INSERT INTO pedido_detalle (art_id_bod,pend_art_id,pend_cantidad,pend_nombre,pend_precio,pend_iva,pend_descuento,pend_tipo,pend_estado,pend_archivado,pedido_pen_id) 
    VALUES ('$art_art_id','$art_id','$cantidad','$nombre $atributos','$pre_precio','$art_iva','0','articulo','facturado','no','$pen_id')") or die(mysqli_error($con));  
}

?>